cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IN2

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IN2

- All Implemented Interfaces:
    ISegment

      public class IN2
      extends Segment

  IN2 - Insurance Additional Information Segment.

  The IN2 segment contains additional insurance policy coverage and benefit information necessary for proper billing and reimbursement. Fields used by this segment are defined by CMS or other regulatory agencies.

  Represents an HL7 IN2 message segment. This segment has the following fields:

  IN2-1: Insured's Employee ID (CX)Optional
  IN2-2: Insured's Social Security Number (ST)Optional
  IN2-3: Insured's Employer's Name and ID (XCN)Optional
  IN2-4: Employer Information Data (CWE)Optional
  IN2-5: Mail Claim Party (CWE)Optional
  IN2-6: Medicare Health Ins Card Number (ST)Optional
  IN2-7: Medicaid Case Name (XPN)Optional
  IN2-8: Medicaid Case Number (ST)Optional
  IN2-9: Military Sponsor Name (XPN)Optional
  IN2-10: Military ID Number (ST)Optional
  IN2-11: Dependent Of Military Recipient (CWE)Optional
  IN2-12: Military Organization (ST)Optional
  IN2-13: Military Station (ST)Optional
  IN2-14: Military Service (CWE)Optional
  IN2-15: Military Rank/Grade (CWE)Optional
  IN2-16: Military Status (CWE)Optional
  IN2-17: Military Retire Date (DT)Optional
  IN2-18: Military Non-Avail Cert On File (ID)Optional
  IN2-19: Baby Coverage (ID)Optional
  IN2-20: Combine Baby Bill (ID)Optional
  IN2-21: Blood Deductible (ST)Optional
  IN2-22: Special Coverage Approval Name (XPN)Optional
  IN2-23: Special Coverage Approval Title (ST)Optional
  IN2-24: Non-Covered Insurance Code (CWE)Optional
  IN2-25: Payor ID (CX)Optional
  IN2-26: Payor Subscriber ID (CX)Optional
  IN2-27: Eligibility Source (CWE)Optional
  IN2-28: Room Coverage Type/Amount (RMC)Optional
  IN2-29: Policy Type/Amount (PTA)Optional
  IN2-30: Daily Deductible (DDI)Optional
  IN2-31: Living Dependency (CWE)Optional
  IN2-32: Ambulatory Status (CWE)Optional
  IN2-33: Citizenship (CWE)Optional
  IN2-34: Primary Language (CWE)Optional
  IN2-35: Living Arrangement (CWE)Optional
  IN2-36: Publicity Code (CWE)Optional
  IN2-37: Protection Indicator (ID)Optional
  IN2-38: Student Indicator (CWE)Optional
  IN2-39: Religion (CWE)Optional
  IN2-40: Mother's Maiden Name (XPN)Optional
  IN2-41: Nationality (CWE)Optional
  IN2-42: Ethnic Group (CWE)Optional
  IN2-43: Marital Status (CWE)Optional
  IN2-44: Insured's Employment Start Date (DT)Optional
  IN2-45: Employment Stop Date (DT)Optional
  IN2-46: Job Title (ST)Optional
  IN2-47: Job Code/Class (JCC)Optional
  IN2-48: Job Status (CWE)Optional
  IN2-49: Employer Contact Person Name (XPN)Optional
  IN2-50: Employer Contact Person Phone Number (XTN)Optional
  IN2-51: Employer Contact Reason (CWE)Optional
  IN2-52: Insured's Contact Person's Name (XPN)Optional
  IN2-53: Insured's Contact Person Phone Number (XTN)Optional
  IN2-54: Insured's Contact Person Reason (CWE)Optional
  IN2-55: Relationship to the Patient Start Date (DT)Optional
  IN2-56: Relationship to the Patient Stop Date (DT)Optional
  IN2-57: Insurance Co. Contact Reason (CWE)Optional
  IN2-58: Insurance Co Contact Phone Number (XTN)Optional
  IN2-59: Policy Scope (CWE)Optional
  IN2-60: Policy Source (CWE)Optional
  IN2-61: Patient Member Number (CX)Optional
  IN2-62: Guarantor's Relationship To Insured (CWE)Optional
  IN2-63: Insured's Phone Number - Home (XTN)Optional
  IN2-64: Insured's Employer Phone Number (XTN)Optional
  IN2-65: Military Handicapped Program (CWE)Optional
  IN2-66: Suspend Flag (ID)Optional
  IN2-67: Copay Limit Flag (ID)Optional
  IN2-68: Stoploss Limit Flag (ID)Optional
  IN2-69: Insured Organization Name and ID (XON)Optional
  IN2-70: Insured Employer Organization Name and ID (XON)Optional
  IN2-71: Race (CWE)Optional
  IN2-72: CMS Patient_s Relationship to Insured (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IN2()` Constructs the IN2 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAmbulatoryStatus(CWE objAmbulatoryStatus)` Set the Ambulatory Status.
    `void` | `addAmbulatoryStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ambulatory Status.
    `void` | `addCitizenship(CWE Citizenship)` Set the Citizenship.
    `void` | `addCitizenship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Citizenship.
    `void` | `addEmployerContactPersonName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the field which contains the name of the contact person that should be contacted at the insured's place of employment.
    `void` | `addEmployerContactPersonName(XPN EmployerContactPersonName)` Set the field which contains the name of the contact person that should be contacted at the insured's place of employment.
    `void` | `addEmployerContactPersonPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Employer Contact Person Phone Number.
    `void` | `addEmployerContactPersonPhoneNumber(XTN EmployerContactPersonPhoneNumber)` Set the Employer Contact Person Phone Number.
    `void` | `addEthnicGroup(CWE EthnicGroup)` Set the Ethnic Group.
    `void` | `addEthnicGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ethnic Group.
    `void` | `addInsuredEmployerOrganizationNameandID(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Insured Employer Organization Name and ID.
    `void` | `addInsuredEmployerOrganizationNameandID(XON InsuredEmployerOrganizationNameandID)` Set the Insured Employer Organization Name and ID.
    `void` | `addInsuredOrganizationNameandID(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the field which indicates the name of the insured if the insured/subscriber is an organization.
    `void` | `addInsuredOrganizationNameandID(XON InsuredOrganizationNameandID)` Set the field which indicates the name of the insured if the insured/subscriber is an organization.
    `void` | `addInsuredsContactPersonPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Insureds Contact Person Phone Number.
    `void` | `addInsuredsContactPersonPhoneNumber(XTN InsuredsContactPersonPhoneNumber)` Set the Insureds Contact Person Phone Number.
    `void` | `addInsuredsContactPersonReason(CWE objInsuredsContactPersonReason)` Set the Insureds Contact Person Reason.
    `void` | `addInsuredsContactPersonReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Insureds Contact Person Reason.
    `void` | `addInsuredsContactPersonsName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Insureds Contact Persons Name.
    `void` | `addInsuredsContactPersonsName(XPN InsuredsContactPersonsName)` Set the Insureds Contact Persons Name.
    `void` | `addInsuredsEmployeeId(CX objInsuredsEmployeeId)` Set the Insureds Employee Id.
    `void` | `addInsuredsEmployeeId(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Insureds Employee Id.
    `void` | `addInsuredsEmployerPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Insureds Employer Phone Number.
    `void` | `addInsuredsEmployerPhoneNumber(XTN InsuredsEmployerPhoneNumber)` Set the Insureds Employer Phone Number.
    `void` | `addInsuredsEmployersNameandID(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Insureds Employers Name and ID.
    `void` | `addInsuredsEmployersNameandID(XCN InsuredsEmployersNameandID)` Set the Insureds Employers Name and ID.
    `void` | `addInsuredsPhoneNumberHome(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Insureds Phone Number Home.
    `void` | `addInsuredsPhoneNumberHome(XTN InsuredsPhoneNumberHome)` Set the Insureds Phone Number Home.
    `void` | `addMailClaimParty(CWE objMailClaimParty)` Set the Mail Claim Party.
    `void` | `addMailClaimParty(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Mail Claim Party.
    `void` | `addMaritalStatus(CWE MaritalStatus)` Set the Marital Status.
    `void` | `addMaritalStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Marital Status.
    `void` | `addMedicaidCaseName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Medicaid Case Name.
    `void` | `addMedicaidCaseName(XPN MedicaidCaseName)` Set the Medicaid Case Name.
    `void` | `addMilitarySponsorName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Military Sponsor Name.
    `void` | `addMilitarySponsorName(XPN MilitarySponsorName)` Set the Military Sponsor Name.
    `void` | `addMothersMaidenName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Mothers Maiden Name.
    `void` | `addMothersMaidenName(XPN MothersMaidenName)` Set the Mothers Maiden Name.
    `void` | `addNonCoveredInsuranceCode(CWE objNonCoveredInsuranceCode)` Set the Non Covered Insurance Code.
    `void` | `addNonCoveredInsuranceCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Non Covered Insurance Code.
    `void` | `addPayorID(CX PayorID)` Set the Payor ID.
    `void` | `addPayorID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Payor ID.
    `void` | `addPayorSubscriberID(CX PayorSubscriberID)` Set the Payor Subscriber ID.
    `void` | `addPayorSubscriberID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Payor Subscriber ID.
    `void` | `addPolicyTypeOrAmount(CWE objPolicyType, CWE objAmountClass, MOP objMoneyOrPercentage)` Set the Policy Type Or Amount.
    `void` | `addPolicyTypeOrAmount(PTA PolicyTypeOrAmount)` Set the Policy Type Or Amount.
    `void` | `addRace(CWE objRace)` Set the field Race.
    `void` | `addRace(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the field Race.
    `void` | `addRelationshipToThePatientStopDate(DT objRelationshipToThePatientStopDate)` Set the Relationship To The Patient Stop Date.
    `void` | `addRelationshipToThePatientStopDate(java.lang.String strRelationshipToThePatientStopDate)` Set the Relationship To The Patient Stop Date.
    `void` | `addRoomCoverageTypeOrAmount(CWE cweRoomType, CWE cweAmountType, MOP objMoneyOrPercentage)` Set the Room Coverage Type Or Amount.
    `void` | `addRoomCoverageTypeOrAmount(RMC RoomCoverageTypeOrAmount)` Set the Room Coverage Type Or Amount.
    `void` | `addSpecialCoverageApprovalName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Special Coverage Approval Name.
    `void` | `addSpecialCoverageApprovalName(XPN SpecialCoverageApprovalName)` Set the Special Coverage Approval Name.
    `ISingleCollection<CWE>` | `getAmbulatoryStatus()` Retrieves the Ambulatory Status.
    `ID` | `getBabyCoverage()` Retrieves the Baby Coverage.
    `ST` | `getBloodDeductible()` Retrieves the Blood Deductible.
    `ISingleCollection<CWE>` | `getCitizenship()` Retrieves the Citizenship.
    `CWE` | `getCMSPatientsRelationshipToInsured()` Retrieves the CMS Patients Relationship To Insured.
    `ID` | `getCombineBabyBill()` Retrieves the Combine Baby Bill.
    `ID` | `getCopayLimitFlag()` Retrieves the Copay Limit Flag.
    `DDI` | `getDailyDeductible()` Retrieves the Daily Deductible.
    `CWE` | `getDependentOfMilitaryRecipient()` Retrieves the Dependent Of Military Recipient.
    `CWE` | `getEligibilitySource()` Retrieves the Eligibility Source.
    `ISingleCollection<XPN>` | `getEmployerContactPersonName()` Retrieves the field contains the name of the contact person that should be contacted at the insured's place of employment.
    `ISingleCollection<XTN>` | `getEmployerContactPersonPhoneNumber()` Retrieves the Employer Contact Person Phone Number.
    `CWE` | `getEmployerContactReason()` Retrieves the Employer Contact Reason.
    `CWE` | `getEmployerInformationData()` Retrieves the Employer Information Data.
    `DT` | `getEmploymentStopDate()` Retrieves the Employment Stop Date.
    `ISingleCollection<CWE>` | `getEthnicGroup()` Retrieves the Ethnic Group.
    `CWE` | `getGuarantorsRelationshipToInsured()` Retrieves the Guarantors Relationship To Insured.
    `XTN` | `getInsuranceCoContactPhoneNumber()` Retrieves the Insurance Co Contact Phone Number.
    `CWE` | `getInsuranceCoContactReason()` Retrieves the Insurance Co Contact Reason.
    `ISingleCollection<XON>` | `getInsuredEmployerOrganizationNameandID()` Retrieves the Insured Employer Organization Name and ID.
    `ISingleCollection<XON>` | `getInsuredOrganizationNameandID()` Retrieves the field indicates the name of the insured if the insured/subscriber is an organization.
    `ISingleCollection<XTN>` | `getInsuredsContactPersonPhoneNumber()` Retrieves the Insureds Contact Person Phone Number.
    `ISingleCollection<CWE>` | `getInsuredsContactPersonReason()` Retrieves the Insureds Contact Person Reason.
    `ISingleCollection<XPN>` | `getInsuredsContactPersonsName()` Retrieves the Insureds Contact Persons Name.
    `ISingleCollection<CX>` | `getInsuredsEmployeeId()` Retrieves the Insureds Employee Id.
    `ISingleCollection<XTN>` | `getInsuredsEmployerPhoneNumber()` Retrieves the Insureds Employer Phone Number.
    `ISingleCollection<XCN>` | `getInsuredsEmployersNameandID()` Retrieves the Insureds Employers Name and ID.
    `DT` | `getInsuredsEmploymentStartDate()` Retrieves the Insureds Employment Start Date.
    `ISingleCollection<XTN>` | `getInsuredsPhoneNumberHome()` Retrieves the Insureds Phone Number Home.
    `ST` | `getInsuredsSocialSecurityNumber()` Retrieves the Insureds Social Security Number.
    `JCC` | `getJobCodeOrClass()` Retrieves the Job Code Or Class.
    `CWE` | `getJobStatus()` Retrieves the Job Status.
    `ST` | `getJobTitle()` Retrieves the Job Title.
    `CWE` | `getLivingArrangement()` Retrieves the Living Arrangement.
    `CWE` | `getLivingDependency()` Retrieves the Living Dependency.
    `ISingleCollection<CWE>` | `getMailClaimParty()` Retrieves the Mail Claim Party.
    `ISingleCollection<CWE>` | `getMaritalStatus()` Retrieves the Marital Status.
    `ISingleCollection<XPN>` | `getMedicaidCaseName()` Retrieves the Medicaid Case Name.
    `ST` | `getMedicaidCaseNumber()` Retrieves the Medicaid Case Number.
    `ST` | `getMedicareHealthInsCardNumber()` Retrieves the Medicare Health Ins Card Number.
    `CWE` | `getMilitaryHandicappedProgram()` Retrieves the Military Handicapped Program.
    `ST` | `getMilitaryIDNumber()` Retrieves the Military ID Number.
    `ID` | `getMilitaryNonAvailCertOnFile()` Retrieves the Military Non Avail Cert On File.
    `ST` | `getMilitaryOrganization()` Retrieves the Military Organization.
    `CWE` | `getMilitaryRankOrGrade()` Retrieves the Military Rank Or Grade.
    `DT` | `getMilitaryRetireDate()` Retrieves the Military Retire Date.
    `CWE` | `getMilitaryService()` Retrieves the Military Service.
    `ISingleCollection<XPN>` | `getMilitarySponsorName()` Retrieves the Military Sponsor Name.
    `ST` | `getMilitaryStation()` Retrieves the Military Station.
    `CWE` | `getMilitaryStatus()` Retrieves the Military Status.
    `ISingleCollection<XPN>` | `getMothersMaidenName()` Retrieves the Mothers Maiden Name.
    `CWE` | `getNationality()` Retrieves the Nationality.
    `ISingleCollection<CWE>` | `getNonCoveredInsuranceCode()` Retrieves the Non Covered Insurance Code.
    `CX` | `getPatientMemberNumber()` Retrieves the Patient Member Number.
    `ISingleCollection<CX>` | `getPayorID()` Retrieves the Payor ID.
    `ISingleCollection<CX>` | `getPayorSubscriberID()` Retrieves the Payor Subscriber ID.
    `CWE` | `getPolicyScope()` Retrieves the Policy Scope.
    `CWE` | `getPolicySource()` Retrieves the Policy Source.
    `ISingleCollection<PTA>` | `getPolicyTypeOrAmount()` Retrieves the Policy Type Or Amount.
    `CWE` | `getPrimaryLanguage()` Retrieves the Primary Language.
    `ID` | `getProtectionIndicator()` Retrieves the Protection Indicator.
    `CWE` | `getPublicityCode()` Retrieves the Publicity Code.
    `ISingleCollection<CWE>` | `getRace()` Retrieves the Race.
    `DT` | `getRelationshipToThePatientStartDate()` Retrieves the Relationship To The Patient Start Date.
    `ISingleCollection<DT>` | `getRelationshipToThePatientStopDate()` Retrieves the Relationship To The Patient Stop Date.
    `CWE` | `getReligion()` Retrieves the Religion.
    `ISingleCollection<RMC>` | `getRoomCoverageTypeOrAmount()` Retrieves the Room Coverage Type Or Amount.
    `ISingleCollection<XPN>` | `getSpecialCoverageApprovalName()` Retrieves the Special Coverage Approval Name.
    `ST` | `getSpecialCoverageApprovalTitle()` Retrieves the Special Coverage Approval Title.
    `ID` | `getStoplossLimitFlag()` Retrieves the Stoploss Limit Flag.
    `CWE` | `getStudentIndicator()` Retrieves the Student Indicator.
    `ID` | `getSuspendFlag()` Retrieves the Suspend Flag.
    `void` | `setAmbulatoryStatus(ISingleCollection<CWE> objAmbulatoryStatusList)` Set the AmbulatoryStatus list.
    `void` | `setBabyCoverage(ID objbabyCoverage)` Set the Baby Coverage.
    `void` | `setBabyCoverage(java.lang.String strBabyCoverage)` Set the Baby Coverage.
    `void` | `setBloodDeductible(ST objbloodDeductible)` Set the Blood Deductible.
    `void` | `setBloodDeductible(java.lang.String strBloodDeductible)` Set the Blood Deductible.
    `void` | `setCitizenship(ISingleCollection<CWE> objCitizenshipList)` Set the Citizenship list.
    `void` | `setCMSPatientsRelationshipToInsured(CWE CMSPatientsRelationshipToInsured)` Set the CMS Patients Relationship To Insured.
    `void` | `setCMSPatientsRelationshipToInsured(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the CMS Patients Relationship To Insured.
    `void` | `setCombineBabyBill(ID objcombineBabyBill)` Set the Combine Baby Bill.
    `void` | `setCombineBabyBill(java.lang.String strCombineBabyBill)` Set the Combine Baby Bill.
    `void` | `setCopayLimitFlag(ID objcopayLimitFlag)` Set the Copay Limit Flag.
    `void` | `setCopayLimitFlag(java.lang.String strCopayLimitFlag)` Set the Copay Limit Flag.
    `void` | `setDailyDeductible(DDI dailyDeductible)` Set the Daily Deductible.
    `void` | `setDailyDeductible(java.lang.String strDelayDays, MO objMonetaryAmount, java.lang.String strNumberOfDays)` Set the Daily Deductible.
    `void` | `setDependentOfMilitaryRecipient(CWE dependentOfMilitaryRecipient)` Set the Dependent Of Military Recipient.
    `void` | `setDependentOfMilitaryRecipient(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dependent Of Military Recipient.
    `void` | `setEligibilitySource(CWE objeligibilitySource)` Set the Eligibility Source.
    `void` | `setEligibilitySource(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Eligibility Source.
    `void` | `setEmployerContactPersonName(ISingleCollection<XPN> objEmployerContactPersonNameList)` Set the EmployerContactPersonName list.
    `void` | `setEmployerContactPersonPhoneNumber(ISingleCollection<XTN> objEmployerContactPersonPhoneNumberList)` Set the EmployerContactPersonPhoneNumber list.
    `void` | `setEmployerContactReason(CWE objemployerContactReason)` Set the Employer Contact Reason.
    `void` | `setEmployerContactReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Employer Contact Reason.
    `void` | `setEmployerInformationData(CWE objemployerInformationData)` Set the Employer Information Data.
    `void` | `setEmployerInformationData(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Employer Information Data.
    `void` | `setEmploymentStopDate(DT objemploymentStopDate)` Set the Employment Stop Date.
    `void` | `setEmploymentStopDate(java.lang.String strEmploymentStopDate)` Set the Employment Stop Date.
    `void` | `setEthnicGroup(ISingleCollection<CWE> objEthnicGroupList)` Set the EthnicGroup list.
    `void` | `setGuarantorsRelationshipToInsured(CWE guarantorsRelationshipToInsured)` Set the Guarantors Relationship To Insured.
    `void` | `setGuarantorsRelationshipToInsured(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantors Relationship To Insured.
    `void` | `setInsuranceCoContactPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Insurance Co Contact Phone Number.
    `void` | `setInsuranceCoContactPhoneNumber(XTN insuranceCoContactPhoneNumber)` Set the Insurance Co Contact Phone Number.
    `void` | `setInsuranceCoContactReason(CWE objinsuranceCoContactReason)` Set the Insurance Co Contact Reason.
    `void` | `setInsuranceCoContactReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Insurance Co Contact Reason.
    `void` | `setInsuredEmployerOrganizationNameandID(ISingleCollection<XON> objInsuredEmployerOrganizationNameandIDList)` Set the InsuredEmployerOrganizationNameandID list.
    `void` | `setInsuredOrganizationNameandID(ISingleCollection<XON> objInsuredOrganizationNameandIDList)` Set the InsuredOrganizationNameandID list.
    `void` | `setInsuredsContactPersonPhoneNumber(ISingleCollection<XTN> objInsuredsContactPersonPhoneNumberList)` Set the InsuredsContactPersonPhoneNumber list.
    `void` | `setInsuredsContactPersonReason(ISingleCollection<CWE> objInsuredsContactPersonReasonList)` Set the InsuredsContactPersonReason list.
    `void` | `setInsuredsContactPersonsName(ISingleCollection<XPN> objInsuredsContactPersonsNameList)` Set the InsuredsContactPersonsName list.
    `void` | `setInsuredsEmployeeId(ISingleCollection<CX> objInsuredsEmployeeIdList)` Set the InsuredsEmployeeId list.
    `void` | `setInsuredsEmployerPhoneNumber(ISingleCollection<XTN> objInsuredsEmployerPhoneNumberList)` Set the InsuredsEmployerPhoneNumber list.
    `void` | `setInsuredsEmployersNameandID(ISingleCollection<XCN> objInsuredsEmployersNameandIDList)` Set the InsuredsEmployersNameandID list.
    `void` | `setInsuredsEmploymentStartDate(DT objinsuredsEmploymentStartDate)` Set the Insureds Employment Start Date.
    `void` | `setInsuredsEmploymentStartDate(java.lang.String strInsuredsEmploymentStartDate)` Set the Insureds Employment Start Date.
    `void` | `setInsuredsPhoneNumberHome(ISingleCollection<XTN> objInsuredsPhoneNumberHomeList)` Set the InsuredsPhoneNumberHome list.
    `void` | `setInsuredsSocialSecurityNumber(ST objinsuredsSocialSecurityNumber)` Set the Insureds Social Security Number.
    `void` | `setInsuredsSocialSecurityNumber(java.lang.String strInsuredsSocialSecurityNumber)` Set the Insureds Social Security Number.
    `void` | `setJobCodeOrClass(CWE objJobCode, CWE objJobClass, java.lang.String strJobDescriptionText)` Set the Job Code Or Class.
    `void` | `setJobCodeOrClass(JCC jobCodeOrClass)` Set the Job Code Or Class.
    `void` | `setJobStatus(CWE objjobStatus)` Set the Job Status.
    `void` | `setJobStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Job Status.
    `void` | `setJobTitle(ST objjobTitle)` Set the Job Title.
    `void` | `setJobTitle(java.lang.String strJobTitle)` Set the Job Title.
    `void` | `setLivingArrangement(CWE objlivingArrangement)` Set the Living Arrangement.
    `void` | `setLivingArrangement(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Arrangement.
    `void` | `setLivingDependency(CWE objlivingDependency)` Set the Living Dependency.
    `void` | `setLivingDependency(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Dependency.
    `void` | `setMailClaimParty(ISingleCollection<CWE> objMailClaimPartyList)` Set the MailClaimParty list.
    `void` | `setMaritalStatus(ISingleCollection<CWE> objMaritalStatusList)` Set the MaritalStatus list.
    `void` | `setMedicaidCaseName(ISingleCollection<XPN> objMedicaidCaseNameList)` Set the MedicaidCaseName list.
    `void` | `setMedicaidCaseNumber(ST objmedicaidCaseNumber)` Set the Medicaid Case Number.
    `void` | `setMedicaidCaseNumber(java.lang.String strMedicaidCaseNumber)` Set the Medicaid Case Number.
    `void` | `setMedicareHealthInsCardNumber(ST objmedicareHealthInsCardNumber)` Set the Medicare Health Ins Card Number.
    `void` | `setMedicareHealthInsCardNumber(java.lang.String strMedicareHealthInsCardNumber)` Set the Medicare Health Ins Card Number.
    `void` | `setMilitaryHandicappedProgram(CWE militaryHandicappedProgram)` Set the Military Handicapped Program.
    `void` | `setMilitaryHandicappedProgram(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Military Handicapped Program.
    `void` | `setMilitaryIDNumber(ST objmilitaryIDNumber)` Set the Military ID Number.
    `void` | `setMilitaryIDNumber(java.lang.String strMilitaryIDNumber)` Set the Military ID Number.
    `void` | `setMilitaryNonAvailCertOnFile(ID objmilitaryNonAvailCertOnFile)` Set the Military Non Avail Cert On File.
    `void` | `setMilitaryNonAvailCertOnFile(java.lang.String strMilitaryNonAvailCertOnFile)` Set the Military Non Avail Cert On File.
    `void` | `setMilitaryOrganization(ST objmilitaryOrganization)` Set the Military Organization.
    `void` | `setMilitaryOrganization(java.lang.String strMilitaryOrganization)` Set the Military Organization.
    `void` | `setMilitaryRankOrGrade(CWE objmilitaryRankOrGrade)` Set the Military Rank Or Grade.
    `void` | `setMilitaryRankOrGrade(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Military Rank Or Grade.
    `void` | `setMilitaryRetireDate(DT objmilitaryRetireDate)` Set the Military Retire Date.
    `void` | `setMilitaryRetireDate(java.lang.String strMilitaryRetireDate)` Set the Military Retire Date.
    `void` | `setMilitaryService(CWE objmilitaryService)` Set the Military Service.
    `void` | `setMilitaryService(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Military Service.
    `void` | `setMilitarySponsorName(ISingleCollection<XPN> objMilitarySponsorNameList)` Set the MilitarySponsorName list.
    `void` | `setMilitaryStation(ST objmilitaryStation)` Set the Military Station.
    `void` | `setMilitaryStation(java.lang.String strMilitaryStation)` Set the Military Station.
    `void` | `setMilitaryStatus(CWE objmilitaryStatus)` Set the Military Status.
    `void` | `setMilitaryStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Military Status.
    `void` | `setMothersMaidenName(ISingleCollection<XPN> objMothersMaidenNameList)` Set the MothersMaidenName list.
    `void` | `setNationality(CWE nationality)` Set the Nationality.
    `void` | `setNationality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Nationality.
    `void` | `setNonCoveredInsuranceCode(ISingleCollection<CWE> objNonCoveredInsuranceCodeList)` Set the NonCoveredInsuranceCode list.
    `void` | `setPatientMemberNumber(CX patientMemberNumber)` Set the Patient Member Number.
    `void` | `setPatientMemberNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Patient Member Number.
    `void` | `setPayorID(ISingleCollection<CX> objPayorIDList)` Set the PayorID list.
    `void` | `setPayorSubscriberID(ISingleCollection<CX> objPayorSubscriberIDList)` Set the PayorSubscriberID list.
    `void` | `setPolicyScope(CWE objpolicyScope)` Set the Policy Scope.
    `void` | `setPolicyScope(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Policy Scope.
    `void` | `setPolicySource(CWE objpolicySource)` Set the Policy Source.
    `void` | `setPolicySource(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Policy Source.
    `void` | `setPolicyTypeOrAmount(ISingleCollection<PTA> objPolicyTypeOrAmountList)` Set the PolicyTypeOrAmount list.
    `void` | `setPrimaryLanguage(CWE primaryLanguage)` Set the Primary Language.
    `void` | `setPrimaryLanguage(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Language.
    `void` | `setProtectionIndicator(ID objprotectionIndicator)` Set the Protection Indicator.
    `void` | `setProtectionIndicator(java.lang.String strProtectionIndicator)` Set the Protection Indicator.
    `void` | `setPublicityCode(CWE publicityCode)` Set the Publicity Code.
    `void` | `setPublicityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Publicity Code.
    `void` | `setRace(ISingleCollection<CWE> objRaceList)` Set the Race list.
    `void` | `setRelationshipToThePatientStartDate(DT objrelationshipToThePatientStartDate)` Set the Relationship To The Patient Start Date.
    `void` | `setRelationshipToThePatientStartDate(java.lang.String strRelationshipToThePatientStartDate)` Set the Relationship To The Patient Start Date.
    `void` | `setRelationshipToThePatientStopDate(ISingleCollection<DT> objRelationshipToThePatientStopDateList)` Set the RelationshipToThePatientStopDate list.
    `void` | `setReligion(CWE religion)` Set the Religion.
    `void` | `setReligion(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Religion.
    `void` | `setRoomCoverageTypeOrAmount(ISingleCollection<RMC> objRoomCoverageTypeOrAmountList)` Set the RoomCoverageTypeOrAmount list.
    `void` | `setSpecialCoverageApprovalName(ISingleCollection<XPN> objSpecialCoverageApprovalNameList)` Set the SpecialCoverageApprovalName list.
    `void` | `setSpecialCoverageApprovalTitle(ST objspecialCoverageApprovalTitle)` Set the Special Coverage Approval Title.
    `void` | `setSpecialCoverageApprovalTitle(java.lang.String strSpecialCoverageApprovalTitle)` Set the Special Coverage Approval Title.
    `void` | `setStoplossLimitFlag(ID objstoplossLimitFlag)` Set the Stoploss Limit Flag.
    `void` | `setStoplossLimitFlag(java.lang.String strStoplossLimitFlag)` Set the Stoploss Limit Flag.
    `void` | `setStudentIndicator(CWE objstudentIndicator)` Set the Student Indicator.
    `void` | `setStudentIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Student Indicator.
    `void` | `setSuspendFlag(ID objsuspendFlag)` Set the Suspend Flag.
    `void` | `setSuspendFlag(java.lang.String strSuspendFlag)` Set the Suspend Flag.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IN2

          public IN2()

      Constructs the IN2 segment.

  - ### Method Detail

    - #### getAmbulatoryStatus

          public ISingleCollection<CWE> getAmbulatoryStatus()

      Retrieves the Ambulatory Status. This field identify the insured's state of mobility.
      Returns:
        ISingleCollection - ambulatoryStatus

    - #### getBabyCoverage

          public ID getBabyCoverage()

      Retrieves the Baby Coverage. This field contains Yes/no Indicator for valid values.
      Returns:
        String - babyCoverage

    - #### getBloodDeductible

          public ST getBloodDeductible()

      Retrieves the Blood Deductible. This field blood deductible can be associated with the specific insurance plan via this field.
      Returns:
        String - bloodDeductible

    - #### getCitizenship

          public ISingleCollection<CWE> getCitizenship()

      Retrieves the Citizenship. This field contains the code that identifies the insured's citizenship.
      Returns:
        ISingleCollection - citizenship

    - #### getCMSPatientsRelationshipToInsured

          public CWE getCMSPatientsRelationshipToInsured()

      Retrieves the CMS Patients Relationship To Insured. This field indicates the relationship of the patient to the insured, as defined by CMS or other regulatory agencies.
      Returns:
        CWE - cMSPatientsRelationshipToInsured

    - #### getCombineBabyBill

          public ID getCombineBabyBill()

      Retrieves the Combine Baby Bill. This field contains Yes/no Indicator for valid values.
      Returns:
        String - combineBabyBill

    - #### getCopayLimitFlag

          public ID getCopayLimitFlag()

      Retrieves the Copay Limit Flag. This field indicates if the patient has reached the co-pay limit so that no more co-pay charges should be calculated for the patient.
      Returns:
        String - copayLimitFlag

    - #### getDailyDeductible

          public DDI getDailyDeductible()

      Retrieves the Daily Deductible. This field contains the number of days after which the daily deductible begins, the amount of the deductible, and the number of days to apply the deductible.
      Returns:
        DDI - dailyDeductible

    - #### getDependentOfMilitaryRecipient

          public CWE getDependentOfMilitaryRecipient()

      Retrieves the Dependent Of Military Recipient. This field is defined by CMS or other regulatory agencies.
      Returns:
        CWE - dependentOfMilitaryRecipient

    - #### getEligibilitySource

          public CWE getEligibilitySource()

      Retrieves the Eligibility Source. This field required for ENVOY Corporation processing, and it identifies the source of information about the insured's eligibility for benefits.
      Returns:
        String - eligibilitySource

    - #### getEmployerContactPersonName

          public ISingleCollection<XPN> getEmployerContactPersonName()

      Retrieves the field contains the name of the contact person that should be contacted at the insured's place of employment.
      Returns:
        ISingleCollection - employerContactPersonName

    - #### getEmployerContactPersonPhoneNumber

          public ISingleCollection<XTN> getEmployerContactPersonPhoneNumber()

      Retrieves the Employer Contact Person Phone Number. This field contains the telephone number for Sue Jones who is the contact person at GTE (Joe Smith's place of employment).
      Returns:
        ISingleCollection - employerContactPersonPhoneNumber

    - #### getEmployerContactReason

          public CWE getEmployerContactReason()

      Retrieves the Employer Contact Reason. This field contains the reason(s) that Sue Jones should be contacted on behalf of Joe Smith, a GTE employer.
      Returns:
        String - employerContactReason

    - #### getEmployerInformationData

          public CWE getEmployerInformationData()

      Retrieves the Employer Information Data. This field contains the required employer information data for UB82 form locator 71.
      Returns:
        String - employerInformationData

    - #### getEmploymentStopDate

          public DT getEmploymentStopDate()

      Retrieves the Employment Stop Date. This field indicates the date on which the person's employment with a particular employer ended.
      Returns:
        String - employmentStopDate

    - #### getEthnicGroup

          public ISingleCollection<CWE> getEthnicGroup()

      Retrieves the Ethnic Group. This field indicates the insured's ethnic group.
      Returns:
        ISingleCollection - ethnicGroup

    - #### getGuarantorsRelationshipToInsured

          public CWE getGuarantorsRelationshipToInsured()

      Retrieves the Guarantors Relationship To Insured. This field specify the relationship of the guarantor to the insurance subscriber.
      Returns:
        CWE - guarantorsRelationshipToInsured

    - #### getInsuranceCoContactPhoneNumber

          public XTN getInsuranceCoContactPhoneNumber()

      Retrieves the Insurance Co Contact Phone Number. This field contains the telephone number of the person who should be contacted at the insurance company for questions regarding an insurance policy/claim, etc.
      Returns:
        XTN - insuranceCoContactPhoneNumber

    - #### getInsuranceCoContactReason

          public CWE getInsuranceCoContactReason()

      Retrieves the Insurance Co Contact Reason. This field contains a user-defined code that specifies how the contact should be used.
      Returns:
        String - insuranceCoContactReason

    - #### getInsuredEmployerOrganizationNameandID

          public ISingleCollection<XON> getInsuredEmployerOrganizationNameandID()

      Retrieves the Insured Employer Organization Name and ID. This field indicates the name of the insured's employer, or the organization that purchased the insurance for the insured, if the employer is an organization.
      Returns:
        ISingleCollection - insuredEmployerOrganizationNameandID

    - #### getInsuredOrganizationNameandID

          public ISingleCollection<XON> getInsuredOrganizationNameandID()

      Retrieves the field indicates the name of the insured if the insured/subscriber is an organization.
      Returns:
        ISingleCollection - insuredOrganizationNameandID

    - #### getInsuredsContactPersonPhoneNumber

          public ISingleCollection<XTN> getInsuredsContactPersonPhoneNumber()

      Retrieves the Insureds Contact Person Phone Number. This field contains the telephone number for the contact person for the insured. Multiple phone numbers for the same person may be sent in this contact, not multiple contacts.
      Returns:
        ISingleCollection - insuredsContactPersonPhoneNumber

    - #### getInsuredsContactPersonReason

          public ISingleCollection<CWE> getInsuredsContactPersonReason()

      Retrieves the Insureds Contact Person Reason. This field contains the reason(s) the person should be contacted regarding the insured.
      Returns:
        ISingleCollection - insuredsContactPersonReason

    - #### getInsuredsContactPersonsName

          public ISingleCollection<XPN> getInsuredsContactPersonsName()

      Retrieves the Insureds Contact Persons Name.
      Returns:
        ISingleCollection - insuredsContactPersonsName

    - #### getInsuredsEmployeeId

          public ISingleCollection<CX> getInsuredsEmployeeId()

      Retrieves the Insureds Employee Id.
      Returns:
        ISingleCollection - insuredsEmployeeId

    - #### getInsuredsEmployerPhoneNumber

          public ISingleCollection<XTN> getInsuredsEmployerPhoneNumber()

      Retrieves the Insureds Employer Phone Number. This field represents the insured's employer's telephone number.
      Returns:
        ISingleCollection - insuredsEmployerPhoneNumber

    - #### getInsuredsEmployersNameandID

          public ISingleCollection<XCN> getInsuredsEmployersNameandID()

      Retrieves the Insureds Employers Name and ID. This field contains the name and ID of the insured's employer or the person who purchased the insurance for the insured, if the employer is a person.
      Returns:
        ISingleCollection - insuredsEmployersNameandID

    - #### getInsuredsEmploymentStartDate

          public DT getInsuredsEmploymentStartDate()

      Retrieves the Insureds Employment Start Date. This field indicates the date on which the insured's employment with a particular employer begin.
      Returns:
        String - insuredsEmploymentStartDate

    - #### getInsuredsPhoneNumberHome

          public ISingleCollection<XTN> getInsuredsPhoneNumberHome()

      Retrieves the Insureds Phone Number Home. This field represents the insured's telephone number. Multiple phone numbers may be sent in this sequence.
      Returns:
        ISingleCollection - insuredsPhoneNumberHome

    - #### getInsuredsSocialSecurityNumber

          public ST getInsuredsSocialSecurityNumber()

      Retrieves the Insureds Social Security Number. This field contains the social security number of the insured.
      Returns:
        String - insuredsSocialSecurityNumber

    - #### getJobCodeOrClass

          public JCC getJobCodeOrClass()

      Retrieves the Job Code Or Class. This field indicates a code that identifies the insured's job code.
      Returns:
        JCC - jobCodeOrClass

    - #### getJobStatus

          public CWE getJobStatus()

      Retrieves the Job Status. This field indicates a code that identify the insured's current job status.
      Returns:
        String - jobStatus

    - #### getJobTitle

          public ST getJobTitle()

      Retrieves the Job Title. This field contains a descriptive name for the insured's occupation (for example, Sr. Systems Analyst, Sr. Accountant).
      Returns:
        String - jobTitle

    - #### getLivingArrangement

          public CWE getLivingArrangement()

      Retrieves the Living Arrangement. This field indicates the situation in which the insured person lives at his primary residence.
      Returns:
        String - livingArrangement

    - #### getLivingDependency

          public CWE getLivingDependency()

      Retrieves the Living Dependency. This field identifies the specific living conditions for the insured.
      Returns:
        String - livingDependency

    - #### getMailClaimParty

          public ISingleCollection<CWE> getMailClaimParty()

      Retrieves the Mail Claim Party. This field contains the party to which the claim should be mailed.
      Returns:
        ISingleCollection - mailClaimParty

    - #### getMaritalStatus

          public ISingleCollection<CWE> getMaritalStatus()

      Retrieves the Marital Status.
      Returns:
        ISingleCollection - maritalStatus

    - #### getMedicaidCaseName

          public ISingleCollection<XPN> getMedicaidCaseName()

      Retrieves the Medicaid Case Name. This field contains the Medicaid case name, defined by CMS or other regulatory agencies.
      Returns:
        ISingleCollection - medicaidCaseName

    - #### getMedicaidCaseNumber

          public ST getMedicaidCaseNumber()

      Retrieves the Medicaid Case Number. This field contains the Medicaid case number, defined by CMS or other regulatory agencies, which uniquely identifies a patient's Medicaid policy.
      Returns:
        String - medicaidCaseNumber

    - #### getMedicareHealthInsCardNumber

          public ST getMedicareHealthInsCardNumber()

      Retrieves the Medicare Health Ins Card Number. This field contains the Medicare Health Insurance Number (HIN), defined by CMS or other regulatory agencies.
      Returns:
        String - medicareHealthInsCardNumber

    - #### getMilitaryHandicappedProgram

          public CWE getMilitaryHandicappedProgram()

      Retrieves the Military Handicapped Program. This field indicates the military program for the handicapped in which the patient is enrolled.
      Returns:
        CWE - militaryHandicappedProgram

    - #### getMilitaryIDNumber

          public ST getMilitaryIDNumber()

      Retrieves the Military ID Number. This field contains the military ID number, defined by CMS or other regulatory agencies, which uniquely identifies a patient's military policy.
      Returns:
        String - militaryIDNumber

    - #### getMilitaryNonAvailCertOnFile

          public ID getMilitaryNonAvailCertOnFile()

      Retrieves the Military Non Avail Cert On File. This field contains Yes/no Indicator for valid values.
      Returns:
        String - militaryNonAvailCertOnFile

    - #### getMilitaryOrganization

          public ST getMilitaryOrganization()

      Retrieves the Military Organization. This field is defined by CMS or other regulatory agencies.
      Returns:
        String - militaryOrganization

    - #### getMilitaryRankOrGrade

          public CWE getMilitaryRankOrGrade()

      Retrieves the Military Rank Or Grade. This field specify the user-defined field identifies the military rank/grade of the insured.
      Returns:
        String - militaryRankOrGrade

    - #### getMilitaryRetireDate

          public DT getMilitaryRetireDate()

      Retrieves the Military Retire Date. This field is defined by CMS or other regulatory agencies.
      Returns:
        String - militaryRetireDate

    - #### getMilitaryService

          public CWE getMilitaryService()

      Retrieves the Military Service. This field is defined by CMS or other regulatory agencies and refers to the military branch of service.
      Returns:
        String - militaryService

    - #### getMilitarySponsorName

          public ISingleCollection<XPN> getMilitarySponsorName()

      Retrieves the Military Sponsor Name. This field is defined by CMS or other regulatory agencies.
      Returns:
        ISingleCollection - militarySponsorName

    - #### getMilitaryStation

          public ST getMilitaryStation()

      Retrieves the Military Station. This field is defined by CMS or other regulatory agencies.
      Returns:
        String - militaryStation

    - #### getMilitaryStatus

          public CWE getMilitaryStatus()

      Retrieves the Military Status. This field is defined by CMS or other regulatory agencies.
      Returns:
        String - militaryStatus

    - #### getMothersMaidenName

          public ISingleCollection<XPN> getMothersMaidenName()

      Retrieves the Mothers Maiden Name. This field indicates the insured's mother's maiden name.
      Returns:
        ISingleCollection - mothersMaidenName

    - #### getNationality

          public CWE getNationality()

      Retrieves the Nationality. This field contains a code that identify the nation or national grouping to which the insured person belongs.
      Returns:
        CWE - nationality

    - #### getNonCoveredInsuranceCode

          public ISingleCollection<CWE> getNonCoveredInsuranceCode()

      Retrieves the Non Covered Insurance Code. This field contains the code that describes why a service is not covered.
      Returns:
        ISingleCollection - nonCoveredInsuranceCode

    - #### getPatientMemberNumber

          public CX getPatientMemberNumber()

      Retrieves the Patient Member Number. This field contains an identifying number assigned by the payor for each individual covered by the insurance policy issued to the insured.
      Returns:
        CX - patientMemberNumber

    - #### getPayorID

          public ISingleCollection<CX> getPayorID()

      Retrieves the Payor ID. This field required for ENVOY Corporation (a US claims clearing house) processing, and it identifies the organization from which reimbursement is expected. This field can also be used to report the National Health Plan ID.
      Returns:
        ISingleCollection - payorID

    - #### getPayorSubscriberID

          public ISingleCollection<CX> getPayorSubscriberID()

      Retrieves the Payor Subscriber ID. This field required for ENVOY Corporation processing, and it identify the specific office within the insurance carrier that is designated as responsible for the claim.
      Returns:
        ISingleCollection - payorSubscriberID

    - #### getPolicyScope

          public CWE getPolicyScope()

      Retrieves the Policy Scope. This field contains a user-defined code designating the extent of the coverage for a participating member.
      Returns:
        String - policyScope

    - #### getPolicySource

          public CWE getPolicySource()

      Retrieves the Policy Source. This field identify how the policy information got established.
      Returns:
        String - policySource

    - #### getPolicyTypeOrAmount

          public ISingleCollection<PTA> getPolicyTypeOrAmount()

      Retrieves the Policy Type Or Amount. This field contains the policy type (e.g., ancillary, major medical) and amount (e.g., amount, percentage, limit) covered by the insurance.
      Returns:
        ISingleCollection - policyTypeOrAmount

    - #### getPrimaryLanguage

          public CWE getPrimaryLanguage()

      Retrieves the Primary Language. This field identify the insured's primary speaking language.
      Returns:
        CWE - primaryLanguage

    - #### getProtectionIndicator

          public ID getProtectionIndicator()

      Retrieves the Protection Indicator. This field identify the insured's protection, which determines whether or not access to information about this enrollee should be restricted from users who do not have adequate authority.
      Returns:
        String - protectionIndicator

    - #### getPublicityCode

          public CWE getPublicityCode()

      Retrieves the Publicity Code. This field contains a user-defined code indicating what level of publicity is allowed (e.g., No Publicity, Family Only) for the insured.
      Returns:
        CWE - publicityCode

    - #### getRace

          public ISingleCollection<CWE> getRace()

      Retrieves the Race.
      Returns:
        ISingleCollection - race

    - #### getRelationshipToThePatientStartDate

          public DT getRelationshipToThePatientStartDate()

      Retrieves the Relationship To The Patient Start Date.
      Returns:
        String - relationshipToThePatientStartDate

    - #### getRelationshipToThePatientStopDate

          public ISingleCollection<DT> getRelationshipToThePatientStopDate()

      Retrieves the Relationship To The Patient Stop Date.
      Returns:
        ISingleCollection
      - relationshipToThePatientStopDate

    - #### getReligion

          public CWE getReligion()

      Retrieves the Religion. This field indicates the type of religion practiced by the insured.
      Returns:
        CWE - religion

    - #### getRoomCoverageTypeOrAmount

          public ISingleCollection<RMC> getRoomCoverageTypeOrAmount()

      Retrieves the Room Coverage Type Or Amount. This field contains room type (e.g., private, semi-private), amount type (e.g., limit, percentage) and amount covered by the insurance.
      Returns:
        ISingleCollection - roomCoverageTypeOrAmount

    - #### getSpecialCoverageApprovalName

          public ISingleCollection<XPN> getSpecialCoverageApprovalName()

      Retrieves the Special Coverage Approval Name. This field contains the name of the individual who approves any special coverage. Multiple names for the same person may be sent in this field.
      Returns:
        ISingleCollection - specialCoverageApprovalName

    - #### getSpecialCoverageApprovalTitle

          public ST getSpecialCoverageApprovalTitle()

      Retrieves the Special Coverage Approval Title. This field contains the title of the person who approves special coverage.
      Returns:
        String - specialCoverageApprovalTitle

    - #### getStoplossLimitFlag

          public ID getStoplossLimitFlag()

      Retrieves the Stoploss Limit Flag. This field indicates if the patient has reached the stoploss limit established in the Contract Master.
      Returns:
        String - stoplossLimitFlag

    - #### getStudentIndicator

          public CWE getStudentIndicator()

      Retrieves the Student Indicator. This field identify whether the insured is currently a student or not, and whether the insured is a full-time or a part-time student.
      Returns:
        String - studentIndicator

    - #### getSuspendFlag

          public ID getSuspendFlag()

      Retrieves the Suspend Flag. This field indicates whether charges should be suspended for a patient.
      Returns:
        String - suspendFlag

    - #### addInsuredsEmployeeId

          public void addInsuredsEmployeeId(java.lang.String strIDNumber,
                                   java.lang.String strCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepartment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set the Insureds Employee Id.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addInsuredsEmployeeId

          public void addInsuredsEmployeeId(CX objInsuredsEmployeeId)

      Set the Insureds Employee Id.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.

    - #### setInsuredsEmployeeId

          public void setInsuredsEmployeeId(ISingleCollection<CX> objInsuredsEmployeeIdList)

      Set the InsuredsEmployeeId list.
      Parameters:
        `objInsuredsEmployeeIdList` - List of InsuredsEmployeeId

    - #### setInsuredsSocialSecurityNumber

          public void setInsuredsSocialSecurityNumber(java.lang.String strInsuredsSocialSecurityNumber)

      Set the Insureds Social Security Number. This field contains the social security number of the insured.
      Parameters:
        `strInsuredsSocialSecurityNumber` - Used as InsuredsSocialSecurityNumber.

    - #### setInsuredsSocialSecurityNumber

          public void setInsuredsSocialSecurityNumber(ST objinsuredsSocialSecurityNumber)

      Set the Insureds Social Security Number. This field contains the social security number of the insured.
      Parameters:
        `strInsuredsSocialSecurityNumber` - Used as InsuredsSocialSecurityNumber.

    - #### addInsuredsEmployersNameandID

          public void addInsuredsEmployersNameandID(java.lang.String strIDNumber,
                                           FN objFamilyName,
                                           java.lang.String strGivenName,
                                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                           java.lang.String strSuffix,
                                           java.lang.String strPrefix,
                                           CWE objSourceTable,
                                           HD objAssigningAuthority,
                                           java.lang.String strNameTypeCode,
                                           java.lang.String strIdentifierCheckDigit,
                                           java.lang.String strCheckDigitScheme,
                                           java.lang.String strIdentifierTypeCode,
                                           HD objAssigningFacility,
                                           java.lang.String strNameRepresentationCode,
                                           CWE objNameContext,
                                           java.lang.String strNameAssemblyOrder,
                                           java.lang.String strEffectiveDate,
                                           java.lang.String strExpirationDate,
                                           java.lang.String strProfessionalSuffix,
                                           CWE objAssigningJurisdiction,
                                           CWE objAssigningAgencyOrDepratment,
                                           java.lang.String strSecurityCheck,
                                           java.lang.String strSecurityCheckScheme)

      Set the Insureds Employers Name and ID. This field contains the name and ID of the insured's employer or the person who purchased the insurance for the insured, if the employer is a person.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addInsuredsEmployersNameandID

          public void addInsuredsEmployersNameandID(XCN InsuredsEmployersNameandID)

      Set the Insureds Employers Name and ID. This field contains the name and ID of the insured's employer or the person who purchased the insurance for the insured, if the employer is a person.
      Parameters:
        `InsuredsEmployersNameandID` -

    - #### setInsuredsEmployersNameandID

          public void setInsuredsEmployersNameandID(ISingleCollection<XCN> objInsuredsEmployersNameandIDList)

      Set the InsuredsEmployersNameandID list.
      Parameters:
        `objInsuredsEmployersNameandIDList` - List of InsuredsEmployersNameandID

    - #### setEmployerInformationData

          public void setEmployerInformationData(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Employer Information Data. This field contains the required employer information data for UB82 form locator 71.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEmployerInformationData

          public void setEmployerInformationData(CWE objemployerInformationData)

      Set the Employer Information Data. This field contains the required employer information data for UB82 form locator 71.
      Parameters:
        `objemployerInformationData` - Used as EmployerInformationData.

    - #### addMailClaimParty

          public void addMailClaimParty(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Mail Claim Party. This field contains the party to which the claim should be mailed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addMailClaimParty

          public void addMailClaimParty(CWE objMailClaimParty)

      Set the Mail Claim Party. This field contains the party to which the claim should be mailed.
      Parameters:
        `objMailClaimParty` - Used as MailClaimParty.

    - #### setMailClaimParty

          public void setMailClaimParty(ISingleCollection<CWE> objMailClaimPartyList)

      Set the MailClaimParty list.
      Parameters:
        `objMailClaimPartyList` - List of MailClaimParty

    - #### setMedicareHealthInsCardNumber

          public void setMedicareHealthInsCardNumber(java.lang.String strMedicareHealthInsCardNumber)

      Set the Medicare Health Ins Card Number. This field contains the Medicare Health Insurance Number (HIN), defined by CMS or other regulatory agencies.
      Parameters:
        `strMedicareHealthInsCardNumber` - Used as MedicareHealthInsCardNumber

    - #### setMedicareHealthInsCardNumber

          public void setMedicareHealthInsCardNumber(ST objmedicareHealthInsCardNumber)

      Set the Medicare Health Ins Card Number. This field contains the Medicare Health Insurance Number (HIN), defined by CMS or other regulatory agencies.
      Parameters:
        `objmedicareHealthInsCardNumber` - Used as MedicareHealthInsCardNumber

    - #### addMedicaidCaseName

          public void addMedicaidCaseName(FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 DTM objEffectiveDate,
                                 DTM objExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 java.lang.String strCalledBy)

      Set the Medicaid Case Name. This field contains the Medicaid case name, defined by CMS or other regulatory agencies.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addMedicaidCaseName

          public void addMedicaidCaseName(XPN MedicaidCaseName)

      Set the Medicaid Case Name. This field contains the Medicaid case name, defined by CMS or other regulatory agencies.
      Parameters:
        `MedicaidCaseName` -

    - #### setMedicaidCaseName

          public void setMedicaidCaseName(ISingleCollection<XPN> objMedicaidCaseNameList)

      Set the MedicaidCaseName list.
      Parameters:
        `objInsuranceCompanyIDList` - List of MedicaidCaseName

    - #### setMedicaidCaseNumber

          public void setMedicaidCaseNumber(java.lang.String strMedicaidCaseNumber)

      Set the Medicaid Case Number. This field contains the Medicaid case number, defined by CMS or other regulatory agencies, which uniquely identifies a patient's Medicaid policy.
      Parameters:
        `strMedicaidCaseNumber` - Used as MedicaidCaseNumber.

    - #### setMedicaidCaseNumber

          public void setMedicaidCaseNumber(ST objmedicaidCaseNumber)

      Set the Medicaid Case Number. This field contains the Medicaid case number, defined by CMS or other regulatory agencies, which uniquely identifies a patient's Medicaid policy.
      Parameters:
        `objmedicaidCaseNumber` - Used as MedicaidCaseNumber.

    - #### addMilitarySponsorName

          public void addMilitarySponsorName(FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    DTM objEffectiveDate,
                                    DTM objExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    java.lang.String strCalledBy)

      Set the Military Sponsor Name. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addMilitarySponsorName

          public void addMilitarySponsorName(XPN MilitarySponsorName)

      Set the Military Sponsor Name. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `MilitarySponsorName` -

    - #### setMilitarySponsorName

          public void setMilitarySponsorName(ISingleCollection<XPN> objMilitarySponsorNameList)

      Set the MilitarySponsorName list.
      Parameters:
        `objMilitarySponsorNameList` - List of MilitarySponsorName

    - #### setMilitaryIDNumber

          public void setMilitaryIDNumber(java.lang.String strMilitaryIDNumber)

      Set the Military ID Number. This field contains the military ID number, defined by CMS or other regulatory agencies, which uniquely identifies a patient's military policy.
      Parameters:
        `strMilitaryIDNumber` - Used as MilitaryIDNumber.

    - #### setMilitaryIDNumber

          public void setMilitaryIDNumber(ST objmilitaryIDNumber)

      Set the Military ID Number. This field contains the military ID number, defined by CMS or other regulatory agencies, which uniquely identifies a patient's military policy.
      Parameters:
        `objmilitaryIDNumber` - Used as MilitaryIDNumber.

    - #### setDependentOfMilitaryRecipient

          public void setDependentOfMilitaryRecipient(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dependent Of Military Recipient. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDependentOfMilitaryRecipient

          public void setDependentOfMilitaryRecipient(CWE dependentOfMilitaryRecipient)

      Set the Dependent Of Military Recipient. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `dependentOfMilitaryRecipient` -

    - #### setMilitaryOrganization

          public void setMilitaryOrganization(java.lang.String strMilitaryOrganization)

      Set the Military Organization. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `strMilitaryOrganization` - Used as MilitaryOrganization.

    - #### setMilitaryOrganization

          public void setMilitaryOrganization(ST objmilitaryOrganization)

      Set the Military Organization. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `objmilitaryOrganization` - Used as MilitaryOrganization.

    - #### setMilitaryStation

          public void setMilitaryStation(java.lang.String strMilitaryStation)

      Set the Military Station. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `strMilitaryStation` - Used as MilitaryStation.

    - #### setMilitaryStation

          public void setMilitaryStation(ST objmilitaryStation)

      Set the Military Station. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `objmilitaryStation` - Used as MilitaryStation.

    - #### setMilitaryService

          public void setMilitaryService(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Military Service. This field is defined by CMS or other regulatory agencies and refers to the military branch of service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMilitaryService

          public void setMilitaryService(CWE objmilitaryService)

      Set the Military Service. This field is defined by CMS or other regulatory agencies and refers to the military branch of service.
      Parameters:
        `objmilitaryService` - Used as MilitaryService.

    - #### setMilitaryRankOrGrade

          public void setMilitaryRankOrGrade(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Military Rank Or Grade. This field specify the user-defined field identifies the military rank/grade of the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMilitaryRankOrGrade

          public void setMilitaryRankOrGrade(CWE objmilitaryRankOrGrade)

      Set the Military Rank Or Grade. This field specify the user-defined field identifies the military rank/grade of the insured.
      Parameters:
        `objmilitaryRankOrGrade` - Used as MilitaryRankOrGrade.

    - #### setMilitaryStatus

          public void setMilitaryStatus(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Military Status. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMilitaryStatus

          public void setMilitaryStatus(CWE objmilitaryStatus)

      Set the Military Status. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `objmilitaryStatus` - Used as MilitaryStatus.

    - #### setMilitaryRetireDate

          public void setMilitaryRetireDate(java.lang.String strMilitaryRetireDate)

      Set the Military Retire Date. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `strMilitaryRetireDate` - USed as MilitaryRetireDate.

    - #### setMilitaryRetireDate

          public void setMilitaryRetireDate(DT objmilitaryRetireDate)

      Set the Military Retire Date. This field is defined by CMS or other regulatory agencies.
      Parameters:
        `objmilitaryRetireDate` - USed as MilitaryRetireDate.

    - #### setMilitaryNonAvailCertOnFile

          public void setMilitaryNonAvailCertOnFile(java.lang.String strMilitaryNonAvailCertOnFile)

      Set the Military Non Avail Cert On File. This field contains Yes/no Indicator for valid values.
      Parameters:
        `strMilitaryNonAvailCertOnFile` - Used as MilitaryNonAvailCertOnFile.

    - #### setMilitaryNonAvailCertOnFile

          public void setMilitaryNonAvailCertOnFile(ID objmilitaryNonAvailCertOnFile)

      Set the Military Non Avail Cert On File. This field contains Yes/no Indicator for valid values.
      Parameters:
        `objmilitaryNonAvailCertOnFile` - Used as MilitaryNonAvailCertOnFile.

    - #### setBabyCoverage

          public void setBabyCoverage(java.lang.String strBabyCoverage)

      Set the Baby Coverage. This field contains Yes/no Indicator for valid values.
      Parameters:
        `strBabyCoverage` - Used as BabyCoverage.

    - #### setBabyCoverage

          public void setBabyCoverage(ID objbabyCoverage)

      Set the Baby Coverage. This field contains Yes/no Indicator for valid values.
      Parameters:
        `objbabyCoverage` - Used as BabyCoverage.

    - #### setCombineBabyBill

          public void setCombineBabyBill(java.lang.String strCombineBabyBill)

      Set the Combine Baby Bill. This field contains Yes/no Indicator for valid values.
      Parameters:
        `strCombineBabyBill` - USed as CombineBabyBill.

    - #### setCombineBabyBill

          public void setCombineBabyBill(ID objcombineBabyBill)

      Set the Combine Baby Bill. This field contains Yes/no Indicator for valid values.
      Parameters:
        `objcombineBabyBill` - USed as CombineBabyBill.

    - #### setBloodDeductible

          public void setBloodDeductible(java.lang.String strBloodDeductible)

      Set the Blood Deductible. This field blood deductible can be associated with the specific insurance plan via this field.
      Parameters:
        `strBloodDeductible` - Used as BloodDeductible.

    - #### setBloodDeductible

          public void setBloodDeductible(ST objbloodDeductible)

      Set the Blood Deductible. This field blood deductible can be associated with the specific insurance plan via this field.
      Parameters:
        `objbloodDeductible` - Used as BloodDeductible.

    - #### addSpecialCoverageApprovalName

          public void addSpecialCoverageApprovalName(FN objFamilyName,
                                            java.lang.String strGivenName,
                                            java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                            java.lang.String strSuffix,
                                            java.lang.String strPrefix,
                                            java.lang.String strNameTypeCode,
                                            java.lang.String strNameRepresentationCode,
                                            CWE objNameContext,
                                            java.lang.String strNameAssemblyOrder,
                                            DTM objEffectiveDate,
                                            DTM objExpirationDate,
                                            java.lang.String strProfessionalSuffix,
                                            java.lang.String strCalledBy)

      Set the Special Coverage Approval Name. This field contains the name of the individual who approves any special coverage. Multiple names for the same person may be sent in this field.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addSpecialCoverageApprovalName

          public void addSpecialCoverageApprovalName(XPN SpecialCoverageApprovalName)

      Set the Special Coverage Approval Name. This field contains the name of the individual who approves any special coverage. Multiple names for the same person may be sent in this field.
      Parameters:
        `SpecialCoverageApprovalName` -

    - #### setSpecialCoverageApprovalName

          public void setSpecialCoverageApprovalName(ISingleCollection<XPN> objSpecialCoverageApprovalNameList)

      Set the SpecialCoverageApprovalName list.
      Parameters:
        `objSpecialCoverageApprovalNameList` - List of SpecialCoverageApprovalName

    - #### setSpecialCoverageApprovalTitle

          public void setSpecialCoverageApprovalTitle(java.lang.String strSpecialCoverageApprovalTitle)

      Set the Special Coverage Approval Title. This field contains the title of the person who approves special coverage.
      Parameters:
        `strSpecialCoverageApprovalTitle` - USed as SpecialCoverageApprovalTitle.

    - #### setSpecialCoverageApprovalTitle

          public void setSpecialCoverageApprovalTitle(ST objspecialCoverageApprovalTitle)

      Set the Special Coverage Approval Title. This field contains the title of the person who approves special coverage.
      Parameters:
        `objspecialCoverageApprovalTitle` - USed as SpecialCoverageApprovalTitle.

    - #### addNonCoveredInsuranceCode

          public void addNonCoveredInsuranceCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Non Covered Insurance Code. This field contains the code that describes why a service is not covered.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addNonCoveredInsuranceCode

          public void addNonCoveredInsuranceCode(CWE objNonCoveredInsuranceCode)

      Set the Non Covered Insurance Code. This field contains the code that describes why a service is not covered.
      Parameters:
        `objNonCoveredInsuranceCode` - Used as NonCoveredInsuranceCode.

    - #### setNonCoveredInsuranceCode

          public void setNonCoveredInsuranceCode(ISingleCollection<CWE> objNonCoveredInsuranceCodeList)

      Set the NonCoveredInsuranceCode list.
      Parameters:
        `objNonCoveredInsuranceCodeList` - List of NonCoveredInsuranceCode

    - #### addPayorID

          public void addPayorID(java.lang.String strIDNumber,
                        java.lang.String strCheckDigit,
                        java.lang.String strCheckDigitScheme,
                        HD objAssigningAuthority,
                        java.lang.String strIdentifierTypeCode,
                        HD objAssigningFacility,
                        java.lang.String strEffectiveDate,
                        java.lang.String strExpirationDate,
                        CWE objAssigningJurisdiction,
                        CWE objAssigningAgencyOrDepartment,
                        java.lang.String strSecurityCheck,
                        java.lang.String strSecurityCheckScheme)

      Set the Payor ID. This field required for ENVOY Corporation (a US claims clearing house) processing, and it identifies the organization from which reimbursement is expected. This field can also be used to report the National Health Plan ID.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addPayorID

          public void addPayorID(CX PayorID)

      Set the Payor ID. This field required for ENVOY Corporation (a US claims clearing house) processing, and it identifies the organization from which reimbursement is expected. This field can also be used to report the National Health Plan ID.
      Parameters:
        `PayorID` -

    - #### setPayorID

          public void setPayorID(ISingleCollection<CX> objPayorIDList)

      Set the PayorID list.
      Parameters:
        `objPayorIDList` - List of PayorID

    - #### addPayorSubscriberID

          public void addPayorSubscriberID(java.lang.String strIDNumber,
                                  java.lang.String strCheckDigit,
                                  java.lang.String strCheckDigitScheme,
                                  HD objAssigningAuthority,
                                  java.lang.String strIdentifierTypeCode,
                                  HD objAssigningFacility,
                                  java.lang.String strEffectiveDate,
                                  java.lang.String strExpirationDate,
                                  CWE objAssigningJurisdiction,
                                  CWE objAssigningAgencyOrDepartment,
                                  java.lang.String strSecurityCheck,
                                  java.lang.String strSecurityCheckScheme)

      Set the Payor Subscriber ID. This field required for ENVOY Corporation processing, and it identify the specific office within the insurance carrier that is designated as responsible for the claim.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addPayorSubscriberID

          public void addPayorSubscriberID(CX PayorSubscriberID)

      Set the Payor Subscriber ID. This field required for ENVOY Corporation processing, and it identify the specific office within the insurance carrier that is designated as responsible for the claim.
      Parameters:
        `PayorSubscriberID` -

    - #### setPayorSubscriberID

          public void setPayorSubscriberID(ISingleCollection<CX> objPayorSubscriberIDList)

      Set the PayorSubscriberID list.
      Parameters:
        `objPayorSubscriberIDList` - List of PayorSubscriberID

    - #### setEligibilitySource

          public void setEligibilitySource(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Eligibility Source. This field required for ENVOY Corporation processing, and it identifies the source of information about the insured's eligibility for benefits.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEligibilitySource

          public void setEligibilitySource(CWE objeligibilitySource)

      Set the Eligibility Source. This field required for ENVOY Corporation processing, and it identifies the source of information about the insured's eligibility for benefits.
      Parameters:
        `objeligibilitySource` - USed as EligibilitySource.

    - #### addRoomCoverageTypeOrAmount

          public void addRoomCoverageTypeOrAmount(CWE cweRoomType,
                                         CWE cweAmountType,
                                         MOP objMoneyOrPercentage)

      Set the Room Coverage Type Or Amount. This field contains room type (e.g., private, semi-private), amount type (e.g., limit, percentage) and amount covered by the insurance.
      Parameters:
        `cweRoomType` - Used as RoomType.
        `strAmountType` - Used as AmountType.
        `cweAmountType` - Used as MoneyOrPercentage.

    - #### addRoomCoverageTypeOrAmount

          public void addRoomCoverageTypeOrAmount(RMC RoomCoverageTypeOrAmount)

      Set the Room Coverage Type Or Amount. This field contains room type (e.g., private, semi-private), amount type (e.g., limit, percentage) and amount covered by the insurance.
      Parameters:
        `RoomCoverageTypeOrAmount` -

    - #### setRoomCoverageTypeOrAmount

          public void setRoomCoverageTypeOrAmount(ISingleCollection<RMC> objRoomCoverageTypeOrAmountList)

      Set the RoomCoverageTypeOrAmount list.
      Parameters:
        `objInsuranceCompanyIDList` - List of RoomCoverageTypeOrAmount

    - #### addPolicyTypeOrAmount

          public void addPolicyTypeOrAmount(CWE objPolicyType,
                                   CWE objAmountClass,
                                   MOP objMoneyOrPercentage)

      Set the Policy Type Or Amount. This field contains the policy type (e.g., ancillary, major medical) and amount (e.g., amount, percentage, limit) covered by the insurance.
      Parameters:
        `objPolicyType` - Used as PolicyType.
        `objAmountClass` - Used as AmountClass.
        `objMoneyOrPercentage` - Used as MoneyOrPercentage.

    - #### addPolicyTypeOrAmount

          public void addPolicyTypeOrAmount(PTA PolicyTypeOrAmount)

      Set the Policy Type Or Amount. This field contains the policy type (e.g., ancillary, major medical) and amount (e.g., amount, percentage, limit) covered by the insurance.
      Parameters:
        `PolicyTypeOrAmount` -

    - #### setPolicyTypeOrAmount

          public void setPolicyTypeOrAmount(ISingleCollection<PTA> objPolicyTypeOrAmountList)

      Set the PolicyTypeOrAmount list.
      Parameters:
        `objInsuranceCompanyIDList` - List of PolicyTypeOrAmount

    - #### setDailyDeductible

          public void setDailyDeductible(java.lang.String strDelayDays,
                                MO objMonetaryAmount,
                                java.lang.String strNumberOfDays)

      Set the Daily Deductible. This field contains the number of days after which the daily deductible begins, the amount of the deductible, and the number of days to apply the deductible.
      Parameters:
        `strDelayDays` - USed as DelayDays.
        `objMonetaryAmount` - USed as MonetaryAmount.
        `strNumberOfDays` - USed as NumberOfDays.

    - #### setDailyDeductible

          public void setDailyDeductible(DDI dailyDeductible)

      Set the Daily Deductible. This field contains the number of days after which the daily deductible begins, the amount of the deductible, and the number of days to apply the deductible.
      Parameters:
        `dailyDeductible` -

    - #### setLivingDependency

          public void setLivingDependency(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Dependency. This field identifies the specific living conditions for the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLivingDependency

          public void setLivingDependency(CWE objlivingDependency)

      Set the Living Dependency. This field identifies the specific living conditions for the insured.
      Parameters:
        `objlivingDependency` - Used as LivingDependency.

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ambulatory Status. This field identify the insured's state of mobility.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(CWE objAmbulatoryStatus)

      Set the Ambulatory Status. This field identify the insured's state of mobility.
      Parameters:
        `objAmbulatoryStatus` - Used as AmbulatoryStatus.

    - #### setAmbulatoryStatus

          public void setAmbulatoryStatus(ISingleCollection<CWE> objAmbulatoryStatusList)

      Set the AmbulatoryStatus list.
      Parameters:
        `objAmbulatoryStatusList` - List of AmbulatoryStatus

    - #### addCitizenship

          public void addCitizenship(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Citizenship. This field contains the code that identifies the insured's citizenship.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCitizenship

          public void addCitizenship(CWE Citizenship)

      Set the Citizenship. This field contains the code that identifies the insured's citizenship.
      Parameters:
        `Citizenship` -

    - #### setCitizenship

          public void setCitizenship(ISingleCollection<CWE> objCitizenshipList)

      Set the Citizenship list.
      Parameters:
        `objCitizenshipList` - List of Citizenship

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Language.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(CWE primaryLanguage)

      Set the Primary Language. This field identify the insured's primary speaking language.
      Parameters:
        `primaryLanguage` -

    - #### setLivingArrangement

          public void setLivingArrangement(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Arrangement. This field indicates the situation in which the insured person lives at his primary residence.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLivingArrangement

          public void setLivingArrangement(CWE objlivingArrangement)

      Set the Living Arrangement. This field indicates the situation in which the insured person lives at his primary residence.
      Parameters:
        `objlivingArrangement` - Used as LivingArrangement.

    - #### setPublicityCode

          public void setPublicityCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Publicity Code. This field contains a user-defined code indicating what level of publicity is allowed (e.g., No Publicity, Family Only) for the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPublicityCode

          public void setPublicityCode(CWE publicityCode)

      Set the Publicity Code. This field contains a user-defined code indicating what level of publicity is allowed (e.g., No Publicity, Family Only) for the insured.
      Parameters:
        `publicityCode` -

    - #### setProtectionIndicator

          public void setProtectionIndicator(java.lang.String strProtectionIndicator)

      Set the Protection Indicator. This field identify the insured's protection, which determines whether or not access to information about this enrollee should be restricted from users who do not have adequate authority.
      Parameters:
        `strProtectionIndicator` - Used as ProtectionIndicator.

    - #### setProtectionIndicator

          public void setProtectionIndicator(ID objprotectionIndicator)

      Set the Protection Indicator. This field identify the insured's protection, which determines whether or not access to information about this enrollee should be restricted from users who do not have adequate authority.
      Parameters:
        `objprotectionIndicator` - Used as ProtectionIndicator.

    - #### setStudentIndicator

          public void setStudentIndicator(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Student Indicator. This field identify whether the insured is currently a student or not, and whether the insured is a full-time or a part-time student.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStudentIndicator

          public void setStudentIndicator(CWE objstudentIndicator)

      Set the Student Indicator. This field identify whether the insured is currently a student or not, and whether the insured is a full-time or a part-time student.
      Parameters:
        `objstudentIndicator` - Used as StudentIndicator.

    - #### setReligion

          public void setReligion(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Religion. This field indicates the type of religion practiced by the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReligion

          public void setReligion(CWE religion)

      Set the Religion. This field indicates the type of religion practiced by the insured.
      Parameters:
        `religion` -

    - #### addMothersMaidenName

          public void addMothersMaidenName(FN objFamilyName,
                                  java.lang.String strGivenName,
                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                  java.lang.String strSuffix,
                                  java.lang.String strPrefix,
                                  java.lang.String strNameTypeCode,
                                  java.lang.String strNameRepresentationCode,
                                  CWE objNameContext,
                                  java.lang.String strNameAssemblyOrder,
                                  DTM objEffectiveDate,
                                  DTM objExpirationDate,
                                  java.lang.String strProfessionalSuffix,
                                  java.lang.String strCalledBy)

      Set the Mothers Maiden Name. This field indicates the insured's mother's maiden name.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addMothersMaidenName

          public void addMothersMaidenName(XPN MothersMaidenName)

      Set the Mothers Maiden Name. This field indicates the insured's mother's maiden name.
      Parameters:
        `MothersMaidenName` -

    - #### setMothersMaidenName

          public void setMothersMaidenName(ISingleCollection<XPN> objMothersMaidenNameList)

      Set the MothersMaidenName list.
      Parameters:
        `objMothersMaidenNameList` - List of MothersMaidenName

    - #### setNationality

          public void setNationality(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Nationality. This field contains a code that identify the nation or national grouping to which the insured person belongs.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNationality

          public void setNationality(CWE nationality)

      Set the Nationality. This field contains a code that identify the nation or national grouping to which the insured person belongs.
      Parameters:
        `nationality` -

    - #### addEthnicGroup

          public void addEthnicGroup(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ethnic Group. This field indicates the insured's ethnic group.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addEthnicGroup

          public void addEthnicGroup(CWE EthnicGroup)

      Set the Ethnic Group. This field indicates the insured's ethnic group.
      Parameters:
        `EthnicGroup` -

    - #### setEthnicGroup

          public void setEthnicGroup(ISingleCollection<CWE> objEthnicGroupList)

      Set the EthnicGroup list.
      Parameters:
        `objEthnicGroupList` - List of EthnicGroup

    - #### addMaritalStatus

          public void addMaritalStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Marital Status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addMaritalStatus

          public void addMaritalStatus(CWE MaritalStatus)

      Set the Marital Status.
      Parameters:
        `MaritalStatus` -

    - #### setMaritalStatus

          public void setMaritalStatus(ISingleCollection<CWE> objMaritalStatusList)

      Set the MaritalStatus list.
      Parameters:
        `objMaritalStatusList` - List of MaritalStatus

    - #### setInsuredsEmploymentStartDate

          public void setInsuredsEmploymentStartDate(java.lang.String strInsuredsEmploymentStartDate)

      Set the Insureds Employment Start Date. This field indicates the date on which the insured's employment with a particular employer begin.
      Parameters:
        `strInsuredsEmploymentStartDate` - Used as InsuredsEmploymentStartDate.

    - #### setInsuredsEmploymentStartDate

          public void setInsuredsEmploymentStartDate(DT objinsuredsEmploymentStartDate)

      Set the Insureds Employment Start Date. This field indicates the date on which the insured's employment with a particular employer begin.
      Parameters:
        `objinsuredsEmploymentStartDate` - Used as InsuredsEmploymentStartDate.

    - #### setEmploymentStopDate

          public void setEmploymentStopDate(java.lang.String strEmploymentStopDate)

      Set the Employment Stop Date. This field indicates the date on which the person's employment with a particular employer ended.
      Parameters:
        `strEmploymentStopDate` - Used as EmploymentStopDate.

    - #### setEmploymentStopDate

          public void setEmploymentStopDate(DT objemploymentStopDate)

      Set the Employment Stop Date. This field indicates the date on which the person's employment with a particular employer ended.
      Parameters:
        `objemploymentStopDate` - Used as EmploymentStopDate.

    - #### setJobTitle

          public void setJobTitle(java.lang.String strJobTitle)

      Set the Job Title. This field contains a descriptive name for the insured's occupation (for example, Sr. Systems Analyst, Sr. Accountant).
      Parameters:
        `strJobTitle` - USed as JobTitle.

    - #### setJobTitle

          public void setJobTitle(ST objjobTitle)

      Set the Job Title. This field contains a descriptive name for the insured's occupation (for example, Sr. Systems Analyst, Sr. Accountant).
      Parameters:
        `objjobTitle` - USed as JobTitle.

    - #### setJobCodeOrClass

          public void setJobCodeOrClass(CWE objJobCode,
                               CWE objJobClass,
                               java.lang.String strJobDescriptionText)

      Set the Job Code Or Class. This field indicates a code that identifies the insured's job code.
      Parameters:
        `objJobCode` - Used as JobCode.
        `objJobClass` - Used as JobClass.
        `strJobDescriptionText` - Used as JobDescriptionText.

    - #### setJobCodeOrClass

          public void setJobCodeOrClass(JCC jobCodeOrClass)

      Set the Job Code Or Class. This field indicates a code that identifies the insured's job code.
      Parameters:
        `jobCodeOrClass` -

    - #### setJobStatus

          public void setJobStatus(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Job Status. This field indicates a code that identify the insured's current job status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setJobStatus

          public void setJobStatus(CWE objjobStatus)

      Set the Job Status. This field indicates a code that identify the insured's current job status.
      Parameters:
        `objjobStatus` - Used as JobStatus.

    - #### addEmployerContactPersonName

          public void addEmployerContactPersonName(FN objFamilyName,
                                          java.lang.String strGivenName,
                                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                          java.lang.String strSuffix,
                                          java.lang.String strPrefix,
                                          java.lang.String strNameTypeCode,
                                          java.lang.String strNameRepresentationCode,
                                          CWE objNameContext,
                                          java.lang.String strNameAssemblyOrder,
                                          DTM objEffectiveDate,
                                          DTM objExpirationDate,
                                          java.lang.String strProfessionalSuffix,
                                          java.lang.String strCalledBy)

      Set the field which contains the name of the contact person that should be contacted at the insured's place of employment.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addEmployerContactPersonName

          public void addEmployerContactPersonName(XPN EmployerContactPersonName)

      Set the field which contains the name of the contact person that should be contacted at the insured's place of employment.
      Parameters:
        `EmployerContactPersonName` -

    - #### setEmployerContactPersonName

          public void setEmployerContactPersonName(ISingleCollection<XPN> objEmployerContactPersonNameList)

      Set the EmployerContactPersonName list.
      Parameters:
        `objEmployerContactPersonNameList` - List of EmployerContactPersonName

    - #### addEmployerContactPersonPhoneNumber

          public void addEmployerContactPersonPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                                 java.lang.String strTeleCommunicationEquipmentType,
                                                 java.lang.String strCommuinicationAddress,
                                                 java.lang.String strCountryCode,
                                                 java.lang.String strAreaCityCode,
                                                 java.lang.String strLocalNumber,
                                                 java.lang.String strExtension,
                                                 java.lang.String strAnyText,
                                                 java.lang.String strExtensionPrefix,
                                                 java.lang.String strSpeedDialCode,
                                                 java.lang.String strUnformattedTelephoneNumber,
                                                 java.lang.String strEffectiveStartDate,
                                                 java.lang.String strExpirationDate,
                                                 CWE objExpirationReason,
                                                 CWE objProtectionCode,
                                                 EI objSharedTelecommunicationIdentifier,
                                                 java.lang.String strPreferenceOrder)

      Set the Employer Contact Person Phone Number. This field contains the telephone number for Sue Jones who is the contact person at GTE (Joe Smith's place of employment).
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.

    - #### addEmployerContactPersonPhoneNumber

          public void addEmployerContactPersonPhoneNumber(XTN EmployerContactPersonPhoneNumber)

      Set the Employer Contact Person Phone Number. This field contains the telephone number for Sue Jones who is the contact person at GTE (Joe Smith's place of employment).
      Parameters:
        `EmployerContactPersonPhoneNumber` -

    - #### setEmployerContactPersonPhoneNumber

          public void setEmployerContactPersonPhoneNumber(ISingleCollection<XTN> objEmployerContactPersonPhoneNumberList)

      Set the EmployerContactPersonPhoneNumber list.
      Parameters:
        `objEmployerContactPersonPhoneNumberList` - List of EmployerContactPersonPhoneNumber

    - #### setEmployerContactReason

          public void setEmployerContactReason(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Employer Contact Reason. This field contains the reason(s) that Sue Jones should be contacted on behalf of Joe Smith, a GTE employer.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEmployerContactReason

          public void setEmployerContactReason(CWE objemployerContactReason)

      Set the Employer Contact Reason. This field contains the reason(s) that Sue Jones should be contacted on behalf of Joe Smith, a GTE employer.
      Parameters:
        `objemployerContactReason` - Used as EmployerContactReason.

    - #### addInsuredsContactPersonsName

          public void addInsuredsContactPersonsName(FN objFamilyName,
                                           java.lang.String strGivenName,
                                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                           java.lang.String strSuffix,
                                           java.lang.String strPrefix,
                                           java.lang.String strNameTypeCode,
                                           java.lang.String strNameRepresentationCode,
                                           CWE objNameContext,
                                           java.lang.String strNameAssemblyOrder,
                                           DTM objEffectiveDate,
                                           DTM objExpirationDate,
                                           java.lang.String strProfessionalSuffix,
                                           java.lang.String strCalledBy)

      Set the Insureds Contact Persons Name.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addInsuredsContactPersonsName

          public void addInsuredsContactPersonsName(XPN InsuredsContactPersonsName)

      Set the Insureds Contact Persons Name.
      Parameters:
        `InsuredsContactPersonsName` -

    - #### setInsuredsContactPersonsName

          public void setInsuredsContactPersonsName(ISingleCollection<XPN> objInsuredsContactPersonsNameList)

      Set the InsuredsContactPersonsName list.
      Parameters:
        `objInsuredsContactPersonsNameList` - List of InsuredsContactPersonsName

    - #### addInsuredsContactPersonPhoneNumber

          public void addInsuredsContactPersonPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                                 java.lang.String strTeleCommunicationEquipmentType,
                                                 java.lang.String strCommuinicationAddress,
                                                 java.lang.String strCountryCode,
                                                 java.lang.String strAreaCityCode,
                                                 java.lang.String strLocalNumber,
                                                 java.lang.String strExtension,
                                                 java.lang.String strAnyText,
                                                 java.lang.String strExtensionPrefix,
                                                 java.lang.String strSpeedDialCode,
                                                 java.lang.String strUnformattedTelephoneNumber,
                                                 java.lang.String strEffectiveStartDate,
                                                 java.lang.String strExpirationDate,
                                                 CWE objExpirationReason,
                                                 CWE objProtectionCode,
                                                 EI objSharedTelecommunicationIdentifier,
                                                 java.lang.String strPreferenceOrder)

      Set the Insureds Contact Person Phone Number. This field contains the telephone number for the contact person for the insured. Multiple phone numbers for the same person may be sent in this contact, not multiple contacts.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strEmailAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.

    - #### addInsuredsContactPersonPhoneNumber

          public void addInsuredsContactPersonPhoneNumber(XTN InsuredsContactPersonPhoneNumber)

      Set the Insureds Contact Person Phone Number. This field contains the telephone number for the contact person for the insured. Multiple phone numbers for the same person may be sent in this contact, not multiple contacts.
      Parameters:
        `InsuredsContactPersonPhoneNumber` -

    - #### setInsuredsContactPersonPhoneNumber

          public void setInsuredsContactPersonPhoneNumber(ISingleCollection<XTN> objInsuredsContactPersonPhoneNumberList)

      Set the InsuredsContactPersonPhoneNumber list.
      Parameters:
        `objInsuredsContactPersonPhoneNumberList` - List of InsuredsContactPersonPhoneNumber

    - #### addInsuredsContactPersonReason

          public void addInsuredsContactPersonReason(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Insureds Contact Person Reason. This field contains the reason(s) the person should be contacted regarding the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addInsuredsContactPersonReason

          public void addInsuredsContactPersonReason(CWE objInsuredsContactPersonReason)

      Set the Insureds Contact Person Reason. This field contains the reason(s) the person should be contacted regarding the insured.
      Parameters:
        `objInsuredsContactPersonReason` - Used as InsuredsContactPersonReason.

    - #### setInsuredsContactPersonReason

          public void setInsuredsContactPersonReason(ISingleCollection<CWE> objInsuredsContactPersonReasonList)

      Set the InsuredsContactPersonReason list.
      Parameters:
        `objInsuredsContactPersonReasonList` - List of InsuredsContactPersonReason

    - #### setRelationshipToThePatientStartDate

          public void setRelationshipToThePatientStartDate(java.lang.String strRelationshipToThePatientStartDate)

      Set the Relationship To The Patient Start Date.
      Parameters:
        `strRelationshipToThePatientStartDate` - Used as RelationshipToThePatientStartDate.

    - #### setRelationshipToThePatientStartDate

          public void setRelationshipToThePatientStartDate(DT objrelationshipToThePatientStartDate)

      Set the Relationship To The Patient Start Date.
      Parameters:
        `objrelationshipToThePatientStartDate` - Used as RelationshipToThePatientStartDate.

    - #### addRelationshipToThePatientStopDate

          public void addRelationshipToThePatientStopDate(java.lang.String strRelationshipToThePatientStopDate)

      Set the Relationship To The Patient Stop Date.
      Parameters:
        `strRelationshipToThePatientStopDate` - Used as RelationshipToThePatientStopDate.

    - #### addRelationshipToThePatientStopDate

          public void addRelationshipToThePatientStopDate(DT objRelationshipToThePatientStopDate)

      Set the Relationship To The Patient Stop Date.
      Parameters:
        `objRelationshipToThePatientStopDate` - Used as RelationshipToThePatientStopDate.

    - #### setRelationshipToThePatientStopDate

          public void setRelationshipToThePatientStopDate(ISingleCollection<DT> objRelationshipToThePatientStopDateList)

      Set the RelationshipToThePatientStopDate list.
      Parameters:
        `objRelationshipToThePatientStopDateList` - List of RelationshipToThePatientStopDate

    - #### setInsuranceCoContactReason

          public void setInsuranceCoContactReason(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Insurance Co Contact Reason. This field contains a user-defined code that specifies how the contact should be used.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInsuranceCoContactReason

          public void setInsuranceCoContactReason(CWE objinsuranceCoContactReason)

      Set the Insurance Co Contact Reason. This field contains a user-defined code that specifies how the contact should be used.
      Parameters:
        `objinsuranceCoContactReason` - Used as InsuranceCoContactReason.

    - #### setInsuranceCoContactPhoneNumber

          public void setInsuranceCoContactPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                              java.lang.String strTeleCommunicationEquipmentType,
                                              java.lang.String strCommuinicationAddress,
                                              java.lang.String strCountryCode,
                                              java.lang.String strAreaCityCode,
                                              java.lang.String strLocalNumber,
                                              java.lang.String strExtension,
                                              java.lang.String strAnyText,
                                              java.lang.String strExtensionPrefix,
                                              java.lang.String strSpeedDialCode,
                                              java.lang.String strUnformattedTelephoneNumber,
                                              java.lang.String strEffectiveStartDate,
                                              java.lang.String strExpirationDate,
                                              CWE objExpirationReason,
                                              CWE objProtectionCode,
                                              EI objSharedTelecommunicationIdentifier,
                                              java.lang.String strPreferenceOrder)

      Set the Insurance Co Contact Phone Number. This field contains the telephone number of the person who should be contacted at the insurance company for questions regarding an insurance policy/claim, etc.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.

    - #### setInsuranceCoContactPhoneNumber

          public void setInsuranceCoContactPhoneNumber(XTN insuranceCoContactPhoneNumber)

      Set the Insurance Co Contact Phone Number. This field contains the telephone number of the person who should be contacted at the insurance company for questions regarding an insurance policy/claim, etc.
      Parameters:
        `insuranceCoContactPhoneNumber` -

    - #### setPolicyScope

          public void setPolicyScope(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Policy Scope. This field contains a user-defined code designating the extent of the coverage for a participating member.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPolicyScope

          public void setPolicyScope(CWE objpolicyScope)

      Set the Policy Scope. This field contains a user-defined code designating the extent of the coverage for a participating member.
      Parameters:
        `objpolicyScope` - Used as PolicyScope.

    - #### setPolicySource

          public void setPolicySource(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Policy Source. This field identify how the policy information got established.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPolicySource

          public void setPolicySource(CWE objpolicySource)

      Set the Policy Source. This field identify how the policy information got established.
      Parameters:
        `objpolicySource` - Used as PolicySource.

    - #### setPatientMemberNumber

          public void setPatientMemberNumber(java.lang.String strIDNumber,
                                    java.lang.String strCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    HD objAssigningAuthority,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepartment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Set the Patient Member Number. This field contains an identifying number assigned by the payor for each individual covered by the insurance policy issued to the insured.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setPatientMemberNumber

          public void setPatientMemberNumber(CX patientMemberNumber)

      Set the Patient Member Number. This field contains an identifying number assigned by the payor for each individual covered by the insurance policy issued to the insured.
      Parameters:
        `patientMemberNumber` -

    - #### setGuarantorsRelationshipToInsured

          public void setGuarantorsRelationshipToInsured(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantors Relationship To Insured. This field specify the relationship of the guarantor to the insurance subscriber.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorsRelationshipToInsured

          public void setGuarantorsRelationshipToInsured(CWE guarantorsRelationshipToInsured)

      Set the Guarantors Relationship To Insured. This field specify the relationship of the guarantor to the insurance subscriber.
      Parameters:
        `guarantorsRelationshipToInsured` -

    - #### addInsuredsPhoneNumberHome

          public void addInsuredsPhoneNumberHome(java.lang.String strTeleCommunicationUseCode,
                                        java.lang.String strTeleCommunicationEquipmentType,
                                        java.lang.String strCommuinicationAddress,
                                        java.lang.String strCountryCode,
                                        java.lang.String strAreaCityCode,
                                        java.lang.String strLocalNumber,
                                        java.lang.String strExtension,
                                        java.lang.String strAnyText,
                                        java.lang.String strExtensionPrefix,
                                        java.lang.String strSpeedDialCode,
                                        java.lang.String strUnformattedTelephoneNumber,
                                        java.lang.String strEffectiveStartDate,
                                        java.lang.String strExpirationDate,
                                        CWE objExpirationReason,
                                        CWE objProtectionCode,
                                        EI objSharedTelecommunicationIdentifier,
                                        java.lang.String strPreferenceOrder)

      Set the Insureds Phone Number Home. This field represents the insured's telephone number. Multiple phone numbers may be sent in this sequence.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.

    - #### addInsuredsPhoneNumberHome

          public void addInsuredsPhoneNumberHome(XTN InsuredsPhoneNumberHome)

      Set the Insureds Phone Number Home. This field represents the insured's telephone number. Multiple phone numbers may be sent in this sequence.
      Parameters:
        `InsuredsPhoneNumberHome` -

    - #### setInsuredsPhoneNumberHome

          public void setInsuredsPhoneNumberHome(ISingleCollection<XTN> objInsuredsPhoneNumberHomeList)

      Set the InsuredsPhoneNumberHome list.
      Parameters:
        `objInsuredsPhoneNumberHomeList` - List of InsuredsPhoneNumberHome

    - #### addInsuredsEmployerPhoneNumber

          public void addInsuredsEmployerPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                            java.lang.String strTeleCommunicationEquipmentType,
                                            java.lang.String strCommuinicationAddress,
                                            java.lang.String strCountryCode,
                                            java.lang.String strAreaCityCode,
                                            java.lang.String strLocalNumber,
                                            java.lang.String strExtension,
                                            java.lang.String strAnyText,
                                            java.lang.String strExtensionPrefix,
                                            java.lang.String strSpeedDialCode,
                                            java.lang.String strUnformattedTelephoneNumber,
                                            java.lang.String strEffectiveStartDate,
                                            java.lang.String strExpirationDate,
                                            CWE objExpirationReason,
                                            CWE objProtectionCode,
                                            EI objSharedTelecommunicationIdentifier,
                                            java.lang.String strPreferenceOrder)

      Set the Insureds Employer Phone Number. This field represents the insured's employer's telephone number.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.

    - #### addInsuredsEmployerPhoneNumber

          public void addInsuredsEmployerPhoneNumber(XTN InsuredsEmployerPhoneNumber)

      Set the Insureds Employer Phone Number. This field represents the insured's employer's telephone number.
      Parameters:
        `InsuredsEmployerPhoneNumber` -

    - #### setInsuredsEmployerPhoneNumber

          public void setInsuredsEmployerPhoneNumber(ISingleCollection<XTN> objInsuredsEmployerPhoneNumberList)

      Set the InsuredsEmployerPhoneNumber list.
      Parameters:
        `objInsuranceCompanyIDList` - List of InsuredsEmployerPhoneNumber

    - #### setMilitaryHandicappedProgram

          public void setMilitaryHandicappedProgram(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Military Handicapped Program. This field indicates the military program for the handicapped in which the patient is enrolled.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMilitaryHandicappedProgram

          public void setMilitaryHandicappedProgram(CWE militaryHandicappedProgram)

      Set the Military Handicapped Program. This field indicates the military program for the handicapped in which the patient is enrolled.
      Parameters:
        `militaryHandicappedProgram` -

    - #### setSuspendFlag

          public void setSuspendFlag(java.lang.String strSuspendFlag)

      Set the Suspend Flag. This field indicates whether charges should be suspended for a patient.
      Parameters:
        `strSuspendFlag` - Used as SuspendFlag.

    - #### setSuspendFlag

          public void setSuspendFlag(ID objsuspendFlag)

      Set the Suspend Flag. This field indicates whether charges should be suspended for a patient.
      Parameters:
        `objsuspendFlag` - Used as SuspendFlag.

    - #### setCopayLimitFlag

          public void setCopayLimitFlag(java.lang.String strCopayLimitFlag)

      Set the Copay Limit Flag. This field indicates if the patient has reached the co-pay limit so that no more co-pay charges should be calculated for the patient.
      Parameters:
        `strCopayLimitFlag` - Used as CopayLimitFlag.

    - #### setCopayLimitFlag

          public void setCopayLimitFlag(ID objcopayLimitFlag)

      Set the Copay Limit Flag. This field indicates if the patient has reached the co-pay limit so that no more co-pay charges should be calculated for the patient.
      Parameters:
        `objcopayLimitFlag` - Used as CopayLimitFlag.

    - #### setStoplossLimitFlag

          public void setStoplossLimitFlag(java.lang.String strStoplossLimitFlag)

      Set the Stoploss Limit Flag. This field indicates if the patient has reached the stoploss limit established in the Contract Master.
      Parameters:
        `strStoplossLimitFlag` - Used as StoplossLimitFlag.

    - #### setStoplossLimitFlag

          public void setStoplossLimitFlag(ID objstoplossLimitFlag)

      Set the Stoploss Limit Flag. This field indicates if the patient has reached the stoploss limit established in the Contract Master.
      Parameters:
        `objstoplossLimitFlag` - Used as StoplossLimitFlag.

    - #### addInsuredOrganizationNameandID

          public void addInsuredOrganizationNameandID(java.lang.String strOrganizationName,
                                             CWE objOrganizationNameTypeCode,
                                             HD objAssigningAuthority,
                                             java.lang.String strIdentifierTypeCode,
                                             HD objAssigningFacility,
                                             java.lang.String strNameRepresentationCode,
                                             java.lang.String strOrganizationIdentifier)

      Set the field which indicates the name of the insured if the insured/subscriber is an organization.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addInsuredOrganizationNameandID

          public void addInsuredOrganizationNameandID(XON InsuredOrganizationNameandID)

      Set the field which indicates the name of the insured if the insured/subscriber is an organization.
      Parameters:
        `InsuredOrganizationNameandID` -

    - #### setInsuredOrganizationNameandID

          public void setInsuredOrganizationNameandID(ISingleCollection<XON> objInsuredOrganizationNameandIDList)

      Set the InsuredOrganizationNameandID list.
      Parameters:
        `objInsuredOrganizationNameandIDList` - List of InsuredOrganizationNameandID

    - #### addInsuredEmployerOrganizationNameandID

          public void addInsuredEmployerOrganizationNameandID(java.lang.String strOrganizationName,
                                                     CWE objOrganizationNameTypeCode,
                                                     HD objAssigningAuthority,
                                                     java.lang.String strIdentifierTypeCode,
                                                     HD objAssigningFacility,
                                                     java.lang.String strNameRepresentationCode,
                                                     java.lang.String strOrganizationIdentifier)

      Set the Insured Employer Organization Name and ID. This field indicates the name of the insured's employer, or the organization that purchased the insurance for the insured, if the employer is an organization.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addInsuredEmployerOrganizationNameandID

          public void addInsuredEmployerOrganizationNameandID(XON InsuredEmployerOrganizationNameandID)

      Set the Insured Employer Organization Name and ID. This field indicates the name of the insured's employer, or the organization that purchased the insurance for the insured, if the employer is an organization.
      Parameters:
        `InsuredEmployerOrganizationNameandID` -

    - #### setInsuredEmployerOrganizationNameandID

          public void setInsuredEmployerOrganizationNameandID(ISingleCollection<XON> objInsuredEmployerOrganizationNameandIDList)

      Set the InsuredEmployerOrganizationNameandID list.
      Parameters:
        `objInsuredEmployerOrganizationNameandIDList` - List of InsuredEmployerOrganizationNameandID

    - #### addRace

          public void addRace(java.lang.String strIdentifier,
                     java.lang.String strText,
                     java.lang.String strNameOfCodingSystem,
                     java.lang.String strAlternateIdentifier,
                     java.lang.String strAlternateText,
                     java.lang.String strNameOfAlternateCodingSystem,
                     java.lang.String strCodingSystemVersionID,
                     java.lang.String strAlternateCodingSystemVersionId,
                     java.lang.String strOriginalText,
                     java.lang.String strSecondAlternateIdentifier,
                     java.lang.String strSecondAlternateText,
                     java.lang.String strNameofSecondAlternateCodingSystem,
                     java.lang.String strSecondAlternateCodingSystemVersionID,
                     java.lang.String strCodingSystemOID,
                     java.lang.String strValueSetOID,
                     java.lang.String strValueSetVersionID,
                     java.lang.String strAlternateCodingSystemOID,
                     java.lang.String strAlternateValueSetOID,
                     java.lang.String strAlternateValueSetVersionID,
                     java.lang.String strSecondAlternateCodingSystemOID,
                     java.lang.String strSecondAlternateValueSetOID,
                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the field Race.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRace

          public void addRace(CWE objRace)

      Set the field Race.
      Parameters:
        `objRace` -

    - #### setRace

          public void setRace(ISingleCollection<CWE> objRaceList)

      Set the Race list.
      Parameters:
        `objRaceList` - List of Race

    - #### setCMSPatientsRelationshipToInsured

          public void setCMSPatientsRelationshipToInsured(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the CMS Patients Relationship To Insured. This field indicates the relationship of the patient to the insured, as defined by CMS or other regulatory agencies.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCMSPatientsRelationshipToInsured

          public void setCMSPatientsRelationshipToInsured(CWE CMSPatientsRelationshipToInsured)

      Set the CMS Patients Relationship To Insured. This field indicates the relationship of the patient to the insured, as defined by CMS or other regulatory agencies.
      Parameters:
        `CMSPatientsRelationshipToInsured` -

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails